<?php

require_once __DIR__."/../../inc/systeminfo.php";

const PHP_MIN = "5.6.0";

$systeminfo = getSystemInfos();
DEFINE("PHP_ERROR", version_compare($systeminfo["php_version"], PHP_MIN, "<"));
DEFINE("MYSQL_ERROR", !empty($systeminfo["mysql_error"]));

echo sprintf("<b>%s</b>: <i>%s</i><br/>", "PHP-Version", PHP_ERROR ? "Fehler" : "OK");
echo sprintf("<b>%s</b>: <i>%s</i><br/>", "Datenbank-Verbindung", MYSQL_ERROR ? "Fehler" : "OK");

if (PHP_ERROR)
{
	echo "<br>Ihre PHP-Version wird nicht mehr unterstützt. "
		."Setzen Sie sich mit ihrem Hosting-Anbieter auseinander und updaten Sie "
		."mindestens auf Version ".PHP_MIN.".</br>";
}

if (MYSQL_ERROR)
{
	echo "<br>Es trat ein Fehler bei der Datenbankverbindung auf:</br>";
	echo $systeminfo["mysql_error"]."<br/>";
	echo "Bitte kontrollieren Sie ihre Zugangsdaten und kontaktieren Sie ggfs. "
		."ihren Hosting-Anbieter.";
}