<?PHP
/***************************************************************************\
*
*	Copyright (c) 2013 deltra Business Software GmbH & Co. KG
*	http://www.deltra.de
*
\***************************************************************************/

$GLOBALS['VERSION_SCF'] = "4.0.00";

function daten_holen()
{
	#Querytyp:

	// datakind == 1 => Daten werden als Query verarbeitet
	// datakind == 2 => Daten werden als Array verarbeitet

	$GLOBALS['datakind'] = "1";

	#SQL Query f�r Gambio

	$GLOBALS['query'] ="SELECT
		  orders.orders_id as orderID,
		  orders.orders_id as BestellnummerShop,
		  orders.date_purchased as Bestelldatum,
		  orders.shipping_class as Lieferart,
		  orders.payment_class as Zahlungsart,
		  orders_total.value as FrachtkostenNetto,
		  orders.comments as AnmerkungenBestellung,
		  orders.customers_id as KundennummerWebshop,
		  orders.customers_company as Firmenname,
		  orders.customers_lastname as PersonNachname,
		  orders.customers_firstname as PersonVorname,
		  orders.customers_street_address as Strasse,
		  orders.customers_postcode as Postleitzahl,
		  orders.customers_city as Ort,
		  orders.customers_country as Land,
		  orders.customers_email_address as Email,
		  orders.customers_telephone as Telefon,
		  orders.customers_vat_id as Umsatzsteueridentnummer,
		  banktransfer.banktransfer_owner as BankkontoInhaber,
		  banktransfer.banktransfer_number as Bankkontonummer,
		  banktransfer.banktransfer_blz as BankkontoBLZ,
		  banktransfer.banktransfer_iban as BankkontoIBAN,
		  banktransfer.banktransfer_bic as BankkontoBIC,
		  banktransfer.banktransfer_bankname as BankkontoBankName,
		  orders.delivery_company as abweichendLieferungFirmenname,
		  orders.delivery_lastname as abweichendLieferungPersNachname,
		  orders.delivery_firstname as abweichendLieferungPersVorname,
		  orders.delivery_street_address as abweichendLieferungStrasse,
		  orders.delivery_postcode as abweichendLieferungPostleitzahl,
		  orders.delivery_city as abweichendLieferungOrt,
		  orders.delivery_country_iso_code_2 as abweichendLieferungLaendercode,
		  orders.delivery_country as abweichendLieferungLand,
		  orders.billing_company as abweichendRechnungFirmenname,
		  orders.billing_lastname as abweichendRechnungPersNachname,
		  orders.billing_firstname as abweichendRechnungPersVorname,
		  orders.billing_street_address as abweichendRechnungStrasse,
		  orders.billing_postcode as abweichendRechnungPostleitzahl,
		  orders.billing_city as abweichendRechnungOrt,
		  orders.billing_country_iso_code_2 as abweichendRechnungLaendercode,
		  orders.billing_country as abweichendRechnungLand,
		  orders_products.orders_products_id as Positionsnummer,
		  orders_products.products_model as ArtikelnummerShop,
			orders_products.products_name as abweichenderArtikeltext,
		  orders_products.products_quantity as Menge,
		  orders_products.products_price as abweichenderEinzelpreisNetto,
		  orders_products.products_tax as abweichendeMwStProzent,
		  orders_products.allow_tax as MwStFaellig,
		  orders_products_attributes.products_options as xProduktOption,
		  orders_products_attributes.products_options_values as xProduktOptionsWert,
		  orders_products.products_id as xProduktId
		FROM orders
		 INNER JOIN 
		  orders_products ON (orders.`orders_id` = `orders_products`.`orders_id`)
		 LEFT OUTER JOIN
		  orders_products_attributes ON (`orders_products`.`orders_products_id` = orders_products_attributes.orders_products_id)
		 LEFT OUTER JOIN
		  orders_total ON (orders.`orders_id` = `orders_total`.`orders_id` AND orders_total.class = 'ot_shipping')
		 LEFT OUTER JOIN
		  banktransfer ON (orders.`orders_id` = `banktransfer`.`orders_id`)
		WHERE
		  orders_status = '".$GLOBALS["DEFAULT_ORDERS_STATUS"]."'
		ORDER BY orderID, Positionsnummer
		 ";
	return $GLOBALS['datakind'];
}

function row_ueberpruefen($row)
{
	# Anschrift �berarbeiten
	$row['Firmenname'] = htmlspecialchars($row['Firmenname']);
	$row['PersonNachname'] = htmlspecialchars($row['PersonNachname']);
	$row['PersonVorname'] = htmlspecialchars($row['PersonVorname']);
	$row['Strasse'] = htmlspecialchars($row['Strasse']);
	$row['Ort'] = htmlspecialchars($row['Ort']);
	$row['Land'] = htmlspecialchars($row['Land']);
	$row['Email'] = htmlspecialchars($row['Email']);
	$row['ArtikelnummerShop'] = htmlspecialchars($row['ArtikelnummerShop']);
	$row['AnmerkungenBestellung'] = htmlspecialchars($row['AnmerkungenBestellung']);
	
	# abeichende Rechnungsadresse
	$row['abweichendRechnungFirmenname'] = htmlspecialchars($row['abweichendRechnungFirmenname']);
	$row['abweichendRechnungPersNachname'] = htmlspecialchars($row['abweichendRechnungPersNachname']);
	$row['abweichendRechnungPersVorname'] = htmlspecialchars($row['abweichendRechnungPersVorname']);
	$row['abweichendRechnungStrasse'] = htmlspecialchars($row['abweichendRechnungStrasse']);
	$row['abweichendRechnungOrt'] = htmlspecialchars($row['abweichendRechnungOrt']);
	$row['abweichendRechnungLand'] = htmlspecialchars($row['abweichendRechnungLand']);
	
	# abweichende Lieferadresse
	$row['abweichendLieferungFirmenname'] = htmlspecialchars($row['abweichendLieferungFirmenname']);
	$row['abweichendLieferungPersNachname'] = htmlspecialchars($row['abweichendLieferungPersNachname']);
	$row['abweichendLieferungPersVorname'] = htmlspecialchars($row['abweichendLieferungPersVorname']);
	$row['abweichendLieferungStrasse'] = htmlspecialchars($row['abweichendLieferungStrasse']);
	$row['abweichendLieferungOrt'] = htmlspecialchars($row['abweichendLieferungOrt']);
	$row['abweichendLieferungLand'] = htmlspecialchars($row['abweichendLieferungLand']);
	
	# Geschlecht ermitteln

	$query = "Select entry_gender AS Geschlecht ";
	$query .= "FROM address_book ";
	$query .= "WHERE customers_id = ".$row['KundennummerWebshop']."";
	$qRes = mysqli_query($GLOBALS['sql_con'], $query);

	if ($qRes)
	{
		$qRow = mysqli_fetch_assoc($qRes);
		$row['PersonGeschlecht'] = $qRow['Geschlecht'];
	}// Das Geschlecht-Ermittlungsquery wurde erfolgreich ausgef�hrt

	
	# Anrede erg�nzen:
	if (($row["PersonAnrede"]=="") and (strtolower($row["PersonGeschlecht"])=="m"))
	{
		$row["PersonAnrede"] = "Herr";
	}// Wenn keine Anrede hinterlegt ist und das Geschlecht m�nnlich
	elseif (($row["PersonAnrede"]=="") and ((strtolower($row["PersonGeschlecht"])=="w") or ((strtolower($row["PersonGeschlecht"])=="f"))))
	{
		$row["PersonAnrede"] = "Frau";
	}// Wenn keine Anrede hinterlegt ist und das Geschlecht weiblich

	# Laender korrigieren...

	// ... Adresse
	if ((strtolower($row["Land"]) == "germany")) {$row["Land"] = "Deutschland";}
	if ((strtolower($row["Land"]) == "austria")) {$row["Land"] = "�sterreich";}
	if ((strtolower($row["Land"]) == "switzerland")){$row["Land"] = "Schweiz";}

	// ... Lieferadresse
	if ((strtolower($row["abweichendLieferungLand"]) == "germany"))	{$row["abweichendLieferungLand"] = "Deutschland";}
	if ((strtolower($row["abweichendLieferungLand"]) == "austria")) {$row["abweichendLieferungLand"] = "�sterreich";}
	if ((strtolower($row["abweichendLieferungLand"]) == "switzerland")) {$row["abweichendLieferungLand"] = "Schweiz";}

	// ... Rechnungsadresse
	if ((strtolower($row["abweichendRechnungLand"]) == "germany")) {$row["abweichendRechnungLand"] = "Deutschland";}
	if ((strtolower($row["abweichendRechnungLand"]) == "austria")) {$row["abweichendRechnungLand"] = "�sterreich";}
	if ((strtolower($row["abweichendRechnungLand"]) == "switzerland")) {$row["abweichendRechnungLand"] = "Schweiz";}
	
	// ... ISO L�nderk�rzel in orgaMAX Format �bersetzen
	$row['Laendercode'] = LaenderkuerzelISO2OMX($row['Laendercode']);	
	$row['abweichendRechnungLaendercode'] = LaenderkuerzelISO2OMX($row['abweichendRechnungLaendercode']);
	$row['abweichendLieferungLaendercode'] = LaenderkuerzelISO2OMX($row['abweichendLieferungLaendercode']);


	# Ggf Produktattribute ber�cksichtigen
	$query =  "SELECT products_attributes.products_attributes_id, products_attributes.attributes_model ";
	$query .= "FROM products_attributes ";
	$query .= "INNER JOIN products_options_values ON ((products_attributes.`options_values_id` = products_options_values.`products_options_values_id`) and (`products_options_values`.`products_options_values_name`='" . $row['xProduktOptionsWert'] . "')) ";
	$query .= "INNER JOIN `products_options` ON ((`products_attributes`.`options_id` = `products_options`.`products_options_id`) and (`products_options`.`products_options_name`='" . $row['xProduktOption'] . "')) ";
	$query .= "WHERE (products_attributes.`products_id` = " . $row['xProduktId'] .")";
	$qRes = mysqli_query($GLOBALS['sql_con'], $query);
	if ($qRes)
	{
		$AttributRow = mysqli_fetch_assoc($qRes);
		$row['ArtikelnummerShop'] .= $AttributRow['attributes_model'];
	} // Es liegt ein Query Ergebnis vor
	
	# Nachnamegeb�hren ermitteln
	if (strtolower($row['Zahlungsart']) == 'cod')
	{
		$query = "SELECT value ";
		$query .= "FROM orders_total ";
		$query .= "WHERE (orders_id=" . $row['orderID'] . ") and (class='ot_cod_fee')";
		$qRes = mysqli_query($GLOBALS['sql_con'], $query);
		if ($qRes)
		{
			$qRow = mysqli_fetch_assoc($qRes);
			$row['ZuschlagkostenBrutto1'] = $qRow['value'];
		} // Das Nachnahmegeb�r ermittlungsquery wurde erfolgreich ausgef�hrt
	} // Es ist ein Nachname Zahlung

	# Zahlungsart "�bersetzen"
	if ($row["Zahlungsart"])
	{
		// MR: 28.09.2012
		// Anpassung der Zahlungsart direkt ins Array geschrieben, da vorherige Implementierung einen fehlerhaften String zur�ck gab.
        $zahlungsart = 'ORGAMAX_OS_ZAHLUNGSART_' . strtoupper($row['Zahlungsart']);
		$row['Zahlungsart'] = DeltraResources::getText($zahlungsart);
	}

	
	# Frachtkosteneinstellungen
	$shipping_class = explode('_', $row['Lieferart']);
	$row['Lieferart'] = $shipping_class[0];
	$row['FrachtkostenBrutto'] = '';

	# Frachtkosten bestimmen
	$query = "Select configuration.configuration_value, ";
	$query .= "tax_rates.tax_rate as FrachtkostenMwStProzent ";
	$query .= "FROM configuration ";
	$query .= "INNER JOIN tax_rates ON (configuration.configuration_value = tax_rates.tax_rates_id) ";
	$query .= "WHERE configuration_key = 'MODULE_SHIPPING_".strtoupper($row['Lieferart'])."_TAX_CLASS'";
	$qRes = mysqli_query($GLOBALS['sql_con'], $query);

	if ($qRes)
	{
		$qRow = mysqli_fetch_assoc($qRes);
		$row['FrachtkostenMwStProzent'] = $qRow['FrachtkostenMwStProzent'];
	}// MwSt.-Ermittlungsquery wurde erfolgreich ausgef�hrt
	
	if ($row['FrachtkostenMwStProzent'] == NULL)
	{
		$row['FrachtkostenMwStProzent'] = '0.00';
	}
	
	# Preisartbestimmung:
	if ($row['MwStFaellig'])
	{
		$row['FrachtkostenBrutto'] = $row['FrachtkostenNetto'];
		$row['abweichenderEinzelpreisBrutto'] = $row['abweichenderEinzelpreisNetto'];
		// Netto Kosten leer setzen, damit erkannt wird dass es ein Brutto Vorgang ist
		$row['FrachtkostenNetto'] = '';
		$row['abweichenderEinzelpreisNetto'] = '';
	} // Wenn eine UStId vergeben ist, �bergibt xtcommerce Nettopreise statt wie sonst �blich Bruttopreise
	else
	{
		// $row['abweichenderEinzelpreisBrutto'] = $row["abweichenderEinzelpreisNetto"] * ( 1 + ($row['abweichendeMwStProzent'] / 100));
		// $row['FrachtkostenBrutto'] = $row['FrachtkostenNetto'] * (1 + ($row['FrachtkostenMwStProzent'] / 100));
		$row['abweichenderEinzelpreisBrutto'] = '';
		$row['FrachtkostenBrutto'] = '';
	}
	
	// MR: 28.09.2012
	// Anpassung der Lieferart direkt ins Array geschrieben, da vorherige Implementierung einen fehlerhaften String zur�ck gab.
	$lieferart = 'ORGAMAX_OS_LIEFERART_' . strtoupper($row['Lieferart']);
	$row["Lieferart"] = DeltraResources::getText($lieferart);
	
	# Pr�fen ob Bestellung MwSt frei ist
	$query =  "SELECT orders_total_id ";
	$query .= "FROM orders_total ";
	$query .= "WHERE class = 'ot_tax' AND orders_id = ".$row["BestellnummerShop"]."";
	$qRes = mysqli_query($GLOBALS['sql_con'], $query);
	
	if(mysqli_num_rows($qRes) == false)
	{
		$row['abweichendeMwStProzent'] = '0.00';
		$row['FrachtkostenMwStProzent'] = '0.00';
	}
	
	# MwStProzent
	if ($row['abweichendeMwStProzent'] == '')
	{
		$row['abweichendeMwStProzent'] = '0.00';
		$row['FrachtkostenMwStProzent'] = '0.00';
	}

	# Wie soll Artikelnummer aus dem Shop behandelt werden:
	if ($GLOBALS["artno_handling"] == 1)
	{
		$row["Artikelnummer"] = $row["ArtikelnummerShop"];
	}// Wenn die Artikelnummer im Webshop gleich der Artikelnummer in orgaMAX sein soll
	
	return $row;
}

function artikeldaten_orgamax_zu_shop()
{
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {
	
		$articles = simplexml_load_string(($articleFile));
		
		$amount_successfully_created = 0;
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$Preis = 0.0;
			$Gewicht = 0.0;
			$articleNr =  strval($article->ArtikelnummerWebshop);
			
			// Artikelpreis formatieren
			if($article->ArtikelpreisNetto != 'DSC_IGNORE')
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
			}
			else
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
			}
			
			//Artikelgewicht formatieren
			if(!is_null($article->Gewicht))
			{
				$Gewicht = str_replace(',','.',$article->Gewicht);
			}
			
			//Pr�fen ob der Artikel vorhanden ist
			$selectQuery = "SELECT products_id FROM products WHERE products_model = '".$articleNr."'";
			
			$res = mysqli_query($GLOBALS['sql_con'], $selectQuery);
			$amount = mysqli_num_rows($res);
			$value = 0;
			if($amount > 0)
			{
				$value = mysqli_result($res);
			}
			
			// MwStCode aus MwStValue ermitteln
			$query = "SELECT tax_class_id FROM tax_rates WHERE tax_rate = ".$article->MwStValue;
			$result = mysqli_query($GLOBALS['sql_con'], $query);
			if(mysqli_num_rows($result) > 0)
			{
				$article->MwStCode = ($article->MwStValue != 0) ? mysqli_result($result) : 0;
			}
			
			$Artikelbeschreibung = strval($article->Artikelbeschreibung);
			$Anmerkungen = strval($article->Anmerkungen);

			//Artikel nicht gefunden, neu anlegen
			if($value == 0)
			{
				$query  = "INSERT INTO products(products_model, products_tax_class_id, products_weight, products_price, products_quantity, products_shippingtime, group_permission_0,";
				$query .= " group_permission_1, group_permission_2, group_permission_3, group_permission_4, products_image, products_date_added, products_status, products_vpe, products_vpe_value) ";
				$query .= "VALUES('".$articleNr."',".intval($article->MwStCode).",'".$Gewicht."','".$Preis."', 0, 1, 0, 0, 0, 0, 0, '', now(), 0, 0, 0)";
				
				$result = mysqli_query($GLOBALS['sql_con'], $query);
				if (!$result) continue;
				
				$selectQuery = "SELECT products_id FROM products WHERE products_model = '".$articleNr."'";
			
				$res = mysqli_query($GLOBALS['sql_con'], $selectQuery);
				
				$value = mysqli_result($res);

                // Category ID ermitteln
                // TODO: Prüfen
                $categoryID = 0;
                $query = "SELECT MIN(categories_id) FROM categories";
                $result = mysqli_query($GLOBALS['sql_con'], $query);
                $categoryID = mysqli_result($result);

				$query  = "INSERT INTO products_to_categories(products_id, categories_id) ";
				$query .= "VALUES(".intval($value).", ".$categoryID.")";
				
				mysqli_query($GLOBALS['sql_con'], $query);
				
				$descQuery = "INSERT INTO products_description(products_id, products_name, products_description, language_id, products_meta_title, products_meta_description, products_meta_keywords) ";
				$descQuery .= "VALUES(".intval($value).", '".$Artikelbeschreibung."', '".$Anmerkungen."', ".$GLOBALS['articles_language'].", '', '' ,'')";
				
				$result = mysqli_query($GLOBALS['sql_con'], $descQuery);
				if (!$result) continue;

				$amount_successfully_created++;
			}
			//Artikel vorhanden aktualisieren
			else
			{
				$query  = "UPDATE products SET products_model = '".$articleNr."', products_tax_class_id = ".intval($article->MwStCode).", ";
				$query .= "products_weight = '".$Gewicht."', products_price = '".$Preis."' WHERE products_id = ".$value."";
				
				mysqli_query($GLOBALS['sql_con'], $query);
				
				$descQuery 	= "UPDATE products_description SET products_name = '".$Artikelbeschreibung."', products_description = '".$Anmerkungen."'";
				$descQuery .= " WHERE products_id = ".$value."";
				
				$result = mysqli_query($GLOBALS['sql_con'], $descQuery);
				
				if($result)
				{
					$amount_successfully_created++;
				}
			}
		}
		
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}
	
}

function setze_lagerbestand_im_shop()
{
	$articleFile = file_get_contents('php://input');
	$amount_successfully_created = 0;
	$amount_articles = 0;
	if($articleFile != null && strlen($articleFile) > 0) {
		
		$articles = simplexml_load_string(($articleFile));
		
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$articleNr =  $article->ArtikelnummerWebshop;
			$query  = "UPDATE products SET products_quantity = '".str_replace(',','.',$article->LagerBestandAktuell)."'";
			$query .= " WHERE products_model = '".$articleNr."'";
			
			$result = mysqli_query($GLOBALS['sql_con'], $query);
			
			if($result)
			{
				$amount_successfully_created++;
			}
		}
		
		
	}
	WriteXMLResult($amount_articles,$amount_successfully_created);
	//Hier k�nnen Sie den Bestellstatusexport vom ERP zum Shop definieren
}

function pruefeOffeneBestellungenImShop()
{
	$query = "SELECT orders.orders_id FROM orders, orders_total WHERE orders_status = '".$GLOBALS["DEFAULT_ORDERS_STATUS"]."'";
	
	$result = mysqli_query($GLOBALS['sql_con'], $query);
	
	if($result)
	{
		if(mysqli_num_rows($result) > 0)
		{
			$value = mysqli_result($result);
			if($value > 0)
			{
				echo 1;
			}
			else
			{
				echo 0;
			}
		}
		else
		{
			echo 0;
		}
	}
	else
	{
		echo 0;
	}
}

function hole_Artikelliste_fuer_export()
{
	$selectQuery =
		"SELECT ".
			"products_model, ".
			"products_name ".
		"FROM products ".
		"INNER JOIN products_description ".
			"ON (products.products_id = products_description.products_id AND products_description.language_id = ".
			$GLOBALS['articles_language'].")";
	
	/** XML-Dokument erzeugen */
	$dom = new DomDocument('1.0');
	$dom->xmlStandalone = true;
	$dom->encoding="utf-8";
	
    $domArticles = $dom->appendChild($dom->createElement('ArtikelListeWebshop'));
	$result = mysqli_query($GLOBALS['sql_con'], $selectQuery);
	
	if(mysqli_num_rows($result) > 0)
	{
		while($article = mysqli_fetch_assoc($result))
		{
			$domArticle = $domArticles->appendChild($dom->createElement('row'));
			Add_NewDocElement($dom, $domArticle, 'ArtikelnummerWebshop', $article["products_model"]);
			Add_NewDocElement($dom, $domArticle, 'Artikelbeschreibung', $article["products_name"]);
		}
	}
	
	 $dom->formatOutput = true;
	 //zur�ck geben
     echo $dom->saveXML();
}

function setze_Artikelpreise_im_shop()
{
	$articleFile = file_get_contents('php://input');
	if($articleFile != null && strlen($articleFile) > 0) {
	
		$articles = simplexml_load_string(($articleFile));
		
		$amount_successfully_created = 0;
		$amount_articles = count($articles);
		
		foreach($articles as $article)
		{
			$Preis = 0.0;
			$articleNr =  $article->ArtikelnummerWebshop;
			if($article->ArtikelpreisNetto != 'DSC_IGNORE')
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisNetto);
			}
			else
			{
				$Preis = str_replace(',','.',$article->ArtikelpreisBrutto);
			}
			if($article->ArtikelPreisBeziehtSichAufMenge == 1)
			{
				$updateQuery = "UPDATE products SET products_price = '".$Preis."' WHERE products_model = '".$articleNr."'";
				
				$result = mysqli_query($GLOBALS['sql_con'], $updateQuery);
				
				if($result > 0)
				{
					$amount_successfully_created++;
				}
			}
		}
		WriteXMLResult($amount_articles,$amount_successfully_created);
	}
	//Funktion wird von veyton nicht unters�tzt (Staffelpreis)
}

function artikeldaten_shop_zu_orgamax()
{
	#Querytyp:

	// datakind == 1 => Daten werden als Query verarbeitet
	// datakind == 2 => Daten werden als Array verarbeitet
	
	$GLOBALS['datakind'] = "1";

	#SQL Query f�r xt:Commerce Artikel

	if ($GLOBALS['attributes_import'])
	{
		$GLOBALS['query'] = "
		SELECT
			products.products_id as productID,
			products.products_model as ArtikelnummerWebshop,
			products_description.products_name as Artikelbeschreibung,
			products_description.products_description as Anmerkungen,
			products.products_tax_class_id as MwStCode,
			products.products_weight as Gewicht,
			products.products_price as ArtikelpreisNetto,
			products_vpe.products_vpe_name as Einheit,
			products_attributes.attributes_model AS Var_ArtikelnummerWebshop,
			products_attributes.price_prefix AS Var_Preis_Praefix,
			products_attributes.options_values_price AS Var_Preis,
			products_attributes.weight_prefix AS Var_Gewicht_Praefix,
			products_attributes.options_values_weight AS Var_Gewicht,
			products_options.products_options_name AS Var_Wert_Name,
			products_options_values.products_options_values_name AS Var_Wert				
		FROM products
		INNER JOIN
			products_description ON (products.products_id = products_description.products_id AND products_description.language_id = ".$GLOBALS['articles_language'].")
		LEFT OUTER JOIN
			products_vpe ON (products.products_vpe = products_vpe.products_vpe_id AND products_vpe.language_id = ".$GLOBALS['articles_language'].")
		LEFT OUTER JOIN
			products_attributes ON (products.products_id = products_attributes.products_id)
		LEFT OUTER JOIN
			products_options ON (products_attributes.options_id = products_options.products_options_id AND products_options.language_id = ".$GLOBALS['articles_language'].")
		LEFT OUTER JOIN
			products_options_values ON (products_attributes.options_values_id = products_options_values.products_options_values_id AND products_options_values.language_id = ".$GLOBALS['articles_language'].") 
		ORDER BY
			products.products_id";
	} // Wenn Varianten als Artikel importiert werden sollen
	else
	{
		$GLOBALS['query'] = "
		SELECT
			products.products_id as productID,
			products.products_model as ArtikelnummerWebshop,
			products_description.products_name as Artikelbeschreibung,
			products_description.products_description as Anmerkungen,
			products.products_tax_class_id as MwStCode,
			products.products_weight as Gewicht,
			products.products_price as ArtikelpreisNetto,
			products_vpe.products_vpe_name as Einheit	
		FROM products
		INNER JOIN
			products_description ON (products.products_id = products_description.products_id AND products_description.language_id = ".$GLOBALS['articles_language'].")
		LEFT OUTER JOIN
			products_vpe ON (products.products_vpe = products_vpe.products_vpe_id AND products_vpe.language_id = ".$GLOBALS['articles_language'].")	
		ORDER BY
			products.products_id";
	} // Wenn keine Attribute importiert werden sollen
	
	return $GLOBALS['datakind'];
	
}// artikeldaten_shop_zu_orgamax

function artRow_ueberpruefen($artRow)
{
	# Artikeltexte kodieren
	$artRow['Artikelbeschreibung'] = strip_tags($artRow['Artikelbeschreibung']);
	$artRow['Anmerkungen'] = html_entity_decode($artRow['Anmerkungen'], ENT_QUOTES, 'utf-8');
	
	# MwSt richtig formatieren
	$artRow['MwStCode'] = (string)(double)$artRow['MwStCode'];
	$artRow['MwStValue'] = null; // todo: Steuerrate ermitteln
	
	# Artikelkategorie ermitteln
	$query = "SELECT categories_description.categories_name as Artikelkategorie ";
	$query .= "FROM products_to_categories ";
	$query .= "INNER JOIN categories_description ON (products_to_categories.categories_id = categories_description.categories_id AND categories_description.language_id = ".$GLOBALS['articles_language'].") ";
	$query .= "WHERE products_to_categories.products_id='".$artRow["productID"]."' AND products_to_categories.categories_id<>'0'";
	$qRes = mysqli_query($GLOBALS['sql_con'], $query);
	
	if ($qRes)
	{
		while ($qRow = mysqli_fetch_assoc($qRes))
		{
			$artRow["Artikelkategorie"] .= $qRow["Artikelkategorie"] . ";";
		} // Alle gefundenen Artikelkategorien durchgehen
		$artRow["Artikelkategorie"] = substr($artRow["Artikelkategorie"],0,strlen($artRow["Artikelkategorie"])-1);
	} // Wenn eine Artikelkategorie gefunden wurde
	
	# Artikelattribute ber�cksichtigen
	
	if ($GLOBALS['attributes_import'])
	{
		# Spalten umformen:
		
		if ($artRow["Var_ArtikelnummerWebshop"] <> "") 
		{
			$artRow["ArtikelnummerWebshop"] .= htmlspecialchars($artRow["Var_ArtikelnummerWebshop"]);
		}// Artikelnummer nur ab�ndern, wenn auch Attributs�nderungen vorhanden sind
		if ($artRow["Var_Wert"] <> "") 
		{
			$artRow["Artikelbeschreibung"] .= htmlspecialchars(" - " . $artRow["Var_Wert_Name"] . ": " . $artRow["Var_Wert"]);
		}// Artikelbeschreibung nur ab�ndern, wenn auch Attributs�nderungen vorhanden sind
		if ($artRow["Var_Gewicht"] <> "")
		{
			//$umrechnung_gewicht = '$artRow["Gewicht"] = $artRow["Gewicht"] $artRow["Var_Gewicht_Praefix"] $artRow["Var_Gewicht"]';
			if($artRow['Var_Gewicht_Praefix'] == '+')
			{
				$artRow['Gewicht'] = (double)$artRow['Gewicht'] + (double)$artRow['Var_Gewicht'];
			}
			else if($artRow['Var_Gewicht_Praefix'] == '-')
			{
				$artRow['Gewicht'] = (double)$artRow['Gewicht'] - (double)$artRow['Var_Gewicht'];
			}
		}// Artikelgewicht nur ab�ndern, wenn auch Attributs�nderungen vorhanden sind
		if ($artRow["Var_Preis"])
		{
			if($artRow['Var_Preis_Praefix'] == '+')
			{
				$artRow['ArtikelpreisNetto'] = (double)$artRow['ArtikelpreisNetto'] + (double)$artRow['Var_Preis'];
			}
			else if($artRow['Var_Preis_Praefix'] == '-')
			{
				$artRow['ArtikelpreisNetto'] = (double)$artRow['ArtikelpreisNetto'] - (double)$artRow['Var_Preis'];
			}
		}// Artikelpreis nur ab�ndern, wenn auch Attributs�nderungen vorhanden sind
		
	}// Wenn Artikelattribute erlaubt sind
	
	# Wie soll Artikelnummer aus dem Shop behandelt werden:
	$artRow["Artikelnummer"] = '';
	/*if ($GLOBALS["artno_handling"] == 1)
	{
		$artRow["Artikelnummer"] = '';
	}*/
	// Wenn die Artikelnummer im Webshop gleich der Artikelnummer in orgaMAX sein soll
	
	return $artRow;
	
}// article_row_ueberpruefen

function status_aendern($orderId)
{
	include_once "inc/config.php";
	$ShopStatus = $GLOBALS["aendern_zu"];
	
	$query = "SELECT orders_status FROM orders where orders_id=$orderId";
	$qRes = mysqli_query($GLOBALS['sql_con'], $query);
	if ($qRes)
	{
		$row = mysqli_fetch_assoc($qRes);
		if ($row['orders_status'] != 3)
		{
			$query = "UPDATE orders Set orders_status = '$ShopStatus' WHERE orders_id = '$orderId'";
			mysqli_query($GLOBALS['sql_con'], $query);
			$error1 = mysqli_error($GLOBALS['sql_con']);
			$query = "INSERT INTO orders_status_history (orders_id, orders_status_id, date_added) VALUES ($orderId, $ShopStatus, '" . date("Y-m-d H:i:s") . "');";
			mysqli_query($GLOBALS['sql_con'], $query);
			$error2 = mysqli_error($GLOBALS['sql_con']);
			if (($error1 == '') and ($error2 == ''))
			{
				die(xml_success_ausgeben("Der Status der Bestellung '" . $orderId . "' wurde auf '" . $ShopStatus . "' gesetzt."));
			} // Fehler
			else 
			{
				die(xml_error_ausgeben("Bei der Status�nderung der Bestellung '$orderId' auf den Wert '$ShopStatus' trat ein Fehler auf. Beim ersten Query meldete MySql '$error1' und beim zweiten '$error2'.", __FILE__, __FUNCTION__, __LINE__));
			}
		} // Der aktuelle status ist != 3
		else 
		{
			die(xml_success_ausgeben("Der Status der Bestellung '" . $orderId . "' durfte nicht ge�ndert werden, da er bereits den Wert '3' besitzt."));
		}
	} // Select query war erfolgreich
	else 
	{
		die(xml_error_ausgeben("Der Datensatz mit der Bestellnummer '" . $orderId . "' konnte nicht ermittelt werden.", __FILE__, __FUNCTION__, __LINE__));
	}
}

function starten()
{
	# Konfigurationsdatei vom Shopsystem einbinden und Verbindung zur Datenbank herstellen:

	if (file_exists(ORGAMAX_OS_CONFIG)) {
		include ORGAMAX_OS_CONFIG;
		$GLOBALS['sql_con'] = mysqli_connect(DB_SERVER, DB_SERVER_USERNAME, DB_SERVER_PASSWORD);
		mysqli_select_db($GLOBALS['sql_con'], DB_DATABASE);

	}// Verbindung zur Datenbank herstellen:
	else
	{
		die (xml_error_ausgeben($GLOBALS['err_msg']['shop_cfg'],__FILE__, __FUNCTION__, __LINE__));
	}//Fehlermeldung ausgeben
	
	$charset = mysqli_character_set_name($GLOBALS['sql_con']);
		
	if($charset != 'utf8')
	{
		mysqli_set_charset($GLOBALS['sql_con'], 'utf8');
	}
}

function ende()
{
	mysqli_close($GLOBALS['sql_con']);
}
?>